Bug 1006328 - Can't detach local data storage domain
Can't detach local data storage domain
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: nobody nobody
Pavel Stehlik
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-09-10 08:55 EDT by Aharon Canan
Modified: 2016-02-10 13:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-12 04:01:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
logs (1.93 MB, application/x-gzip)
2013-09-10 08:55 EDT, Aharon Canan
no flags Details

  None (edit)
Description Aharon Canan 2013-09-10 08:55:19 EDT
Description of problem:
Trying to remove local data storage domain fails.

Version-Release number of selected component (if applicable):
3.3 is12

How reproducible:

Steps to Reproduce:
1. create DC - Local on host
2. add host to this DC and change state to maintenance 
3. Select the relevant host and "configure local storage"
4. in DC tab' choose the local DC and under storage sub-tab choose the storage domain and change it to maintenance
5. try to detach it.

Actual results:
detach fails

Expected results:
should work.

Additional info:
Comment 1 Aharon Canan 2013-09-10 08:55:47 EDT
Created attachment 795991 [details]
Comment 2 Einav Cohen 2013-09-11 15:53:45 EDT
AFAIK, it is impossible to detach the last storage domain from a Data-Center (local or not local); you can also see in the log that the CanDoAction failure is: ERROR_CANNOT_DETACH_LAST_STORAGE_DOMAIN, so it seems to be by design.

so I think that this one should be CLOSED on NOT-A-BUG (or turned into an RFE, in case removing the last storage-domain from a data-center is a legitimate request/requirement), but someone from 'storage' should confirm that.

Note You need to log in before you can comment on or make changes to this bug.